
package de.ivu.elect.was.exchange.ergebnis;

import static java.util.Arrays.asList;

import java.util.Collection;
import java.util.EnumSet;

import de.ivu.elect.business.ergebnis.boundary.NlWasModelO20BulkExporter;
import de.ivu.elect.business.ergebnis.entity.Stimmabgabeart;
import de.ivu.elect.business.security.Customer;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingabestatus;
import de.ivu.elect.business.wahl.entity.NlWahlart;
import de.ivu.elect.business.wahl.entity.Wahl;

public class NlWasModelO20ExportMapperHelper {

  private NlWasModelO20ExportMapperHelper() {
    super();
  }

  public static boolean isAcceptWahlebene(Wahl wahl, Customer customer) {
    return NlWahlart.isWasNBSB(wahl, customer);
  }

  public static Collection<NlWahlart> collectWahlartenAccepted() {
    return asList( //
        NlWahlart.EUROPEES_PARLEMENT, //
        NlWahlart.TWEEDE_KAMER //
    );
  }

  public static Collection<Stimmabgabeart> collectStimmabgabeartenAccepted() {
    return EnumSet.of(Stimmabgabeart.BRIEF);
  }

  public static boolean isAcceptWahlergebniserfassung(Wahl wahl, Customer customer) {
    return true; // ELECTVAPP-2324, KEIN Schalter vorhanden!
  }

  public static Collection<Ergebniseingabestatus> collectErgebniseingabestatusAccepted() {
    return NlWasModelO20BulkExporter.EXPORT_ERGEBNISEINGABESTATUS;
  }
}
